### Method

# Gtk Snapshotfree_to_node

#### Declaration [src]

    GskRenderNode*
    gtk_snapshot_free_to_node (
      GtkSnapshot* snapshot
    )

#### Description [src]

Returns the node that was constructed by `snapshot` and frees `snapshot`.

See also `gtk_snapshot_to_node()`.

This method is not directly available to language bindings.

#### Return value

Type: `GskRenderNode`

A newly-created `GskRenderNode`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.